Updates the type with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
company_type| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary key |
globally unique identifier | |
| name |
Name of the type |
string |
Required |
| description |
Description of the type |
string | |
| sales_organization_id |
FK of sales_organization. Filled if specific of one SO, empty if can be used by all |
globally unique identifier | |
| sales_organization_code |
Embedded entity "sales_organization" using ERP PK when adding/updating company_type |
string | |
| sales_organization |
Embedded entity "sales_organization" when adding/updating company_type |
sales_organization |
Request Formats :
application/json, text/json
Sample:
{
"id": "b2c14494-b8cd-4301-a71a-7e378d367b2f",
"name": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "375d7128-f8e6-4ac2-9cbb-c167b4a4a064",
"sales_organization_code": "sample string 5"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample:
Sample not available.